package com.fufan.mtsaas.modules.base.company.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.base.company.model.TCompanyContact;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;

import java.util.Map;
/**
 * 企业联系信息表 服务类
 *
 * @author Liby
 * @since 2022-03-16
 */
public interface TCompanyContactSvc extends IService<TCompanyContact> {

    Result doQueryPage(Map<String, String> map);

    Result doSave(TCompanyContact entity, RequestPojo requestPojo);

    Result doUpdate(TCompanyContact entity, RequestPojo requestPojo);

    Result doDelete(Map<String, String> map, RequestPojo requestPojo);

}
